import os
from PIL import Image

factor = 6.4 #Rate of change to resolution 1: Original resolution. ie: 640x640 - 6.4 - 100x100
rate = 100 #Rate that parts are created at

for filename in os.listdir("input"):
    image = Image.open(os.path.join("input", filename))

    image = image.resize((int(image.size[0]/factor), int(image.size[1]/factor)))
    pixels = image.load()

    with open(f"{os.path.join('output', filename)}.lua", 'w') as f:

        bits = []

        for y in range(image.size[0]):
            for x in range(image.size[1]):
                p = pixels[x, y]
                p = ("{:03d}".format(p[0]), "{:03d}".format(p[1]), "{:03d}".format(p[2]))

                bits.append(''.join(map(str, p)))

        f.write("require(script.Parent.Parent):Draw("+str(rate)+", Vector3.new(0,0,0), {"+str(image.size[0])+","+str(image.size[1])+"}, '"+''.join(bits)+"')")
        f.close()

print("Done!")

# How to use:
# 
# 1. Drop your images in \input
# 2. Run python file
# 3. Open Roblox Studio
# 4. Import module
# 5. Insert files from ouput into module\images folder
# 6. Run and enjoy
#
#
# - Netpex